<div class="d-flex justify-content-between mt-5">
  <div class="sub-head">Event List</div>
  <%= link_to "Add", new_event_path, class: "btn btn-primary btn-blue" %>
</div>

<div class="table-responsive mt-5">
  <table class="table table-striped table-borderless table-custom">
    <thead class="table-purple">
      <tr>
        <th scope="col">Department</th>
        <th scope="col">Semester</th>
        <th scope="col">File</th>
        <th scope="col">Actions</th>
      </tr>
    </thead>
    <tbody>
      <% @events.each do |event| %>
        <tr>
          <td><%= event.department_list.try(:name) %></td>
          <td><%= event.semester %></td>
          <td>
            <% if event.event_file.file.present? %>
              <%= link_to "Download File", event.event_file.url, class: "list-link", target: :_blank %>
            <% end %>
          </td>
          <td>
            <%= link_to image_tag("edit.svg", class: "btn btn-bg btn-edit"), edit_event_path(event) %>
            <%= link_to image_tag("delete.svg", class: "btn btn-bg"), event_path(event), data: { turbo_method: :delete, confirm: 'Are you sure?' } %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>
